lp:~kaozilon/totem/test

Created by ulysses.kao on 2013-10-30 and last modified on 2013-10-30
Get this branch:
bzr branch lp:~kaozilon/totem/test
Only ulysses.kao can upload to this branch. If you are ulysses.kao please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
ulysses.kao
Project:
Totem
Status:
Development

Recent revisions

26. By ulysses.kao on 2013-10-30

debian/patches/test.patch: Modified for interview testing

25. By Jeremy Bicha on 2013-05-26

* Sync with Debian. Remaining changes:
* debian/control.in:
  - Drop build-depends on libepc-ui-dev and libgrilo-0.2-dev (in universe)
  - Drop libxtst-dev build-depends so that the (redundant) fake key presses
    for inhibiting the screensaver are disabled (LP: #1007438)
  - Build-depend on libzeitgeist-dev
  - Suggest rather than recommend gstreamer components in universe
  - Add totem-plugins-extra
  - Add XB-Npp-Description and XB-Npp-Filename header to the
    totem-mozilla package to improve ubufox/ubuntu plugin db integration
  - Refer to Firefox in totem-mozilla description instead of Iceweasel
  - Don't have totem-mozilla recommend any particular browser
  - Drop obsolete python library dependencies since iplayer is no longer
    included
* debian/totem-common.install, debian/source_totem.py:
  - Install Ubuntu apport debugging hook
* debian/totem-plugins-extra.install:
  - Universe plugins split out of totem-plugins (currently only gromit)
* debian/totem-plugins.install:
  - Skip the plugins split to -extra and add the zeitgeist plugin
* debian/rules:
  - Build with --fail-missing, to ensure we install everything.
    + Ignore libtotem.{,l}a since we delibrately don't install these.
  - Re-enable hardening, make sure both PIE and BINDNOW are used
    by setting hardening=+all. (LP: #1039604)
* debian/patches/91_quicklist_entries.patch:
  - Add static quicklist
* debian/patches/92_gst-plugins-good.patch:
  - Build without unnecessary gstreamer1.0-bad dependency
* debian/patches/93_grilo_optional.patch:
  - Allow building without grilo while grilo MIR is still pending
* debian/patches/correct_desktop_mimetypes.patch:
  - Don't list the mimetypes after the unity lists
* debian/patches/revert_shell_menu.patch:
  - revert the use of a shell menu until indicator-appmenu can handle
    the mixed shell/traditional menus itself
* New upstream release

24. By Michael Biebl on 2012-05-16

[ Michael Biebl ]
* Remove coherence plugin leftovers. It doesn't look like this plugin is
  coming back.

[ Josselin Mouette ]
* 02_revert_clutter.patch: un-clutter totem. Revert to the good old
  XVideo code. It is less elegant, but works on many more systems.
* Update build-dependencies accordingly.
* Use dh-autoreconf.
* Build-depend on gtk-doc-tools for autoreconf.
* totem-plugins.install: remove rotation plugin.
* Drop useless build-dependency on libmusicbrainz.

[ Andreas Henriksson ]
* New upstream release.
* No longer try to install dropped bemused and youtube plugins.
* Bump GTK+ build-dependency to >= 3.3.6 as required by configure script.
  - could possibly be reverted, when reverting changes to make below apply.
* Disable d/p/02_revert_clutter.patch for now, doesn't apply against 3.4.0.
* Temporarily add build-dependencies needed because of above:
  - libclutter-gst-dev, libclutter-gtk-1.0-dev

[ Michael Biebl ]
* Drop obsolete Build-Depends on libirman-dev. Closes: #672401
* Bump Standards-Version to 3.9.3.
* Drop Build-Depends on libcam-dev, no longer required to build on kfreebsd.
  Closes: #659622
* Install rotation plugin since we are building with Clutter support.

23. By Michael Biebl on 2011-12-10

Lower Build-Depends on libgdata-dev so we build against the version from
unstable, the same version grilo-plugins was built against. This avoids a
crash when trying to enable the youtube plugin. Closes: #651554

22. By Michael Biebl on 2011-11-27

[ Sjoerd Simons ]
* New upstream release
* debian/control.in: Update build-depends
* debian/rules: Enable vala plugins
* debian/totem-plugins.install:
  - Add grilo and rotation plugins
  - Remove jamendo, thumbnail and tracker plugins

[ Michael Biebl ]
* debian/control.in:
  - Bump Depends on python-gobject to (>= 2.90.3).

[ Josselin Mouette ]
* Replace python-gobject dependencies by python-gi.

21. By Michael Biebl on 2011-08-29

[ Josselin Mouette ]
* Add missing dependency on python-beautifulsoup. Closes: #630095.

[ Michael Biebl ]
* Move .gir file into libtotem-dev package. Closes: #635451
* Switch to dh_python2. Closes: #637280

20. By Michael Biebl on 2011-06-10

[ Sebastien Bacher ]
* New upstream version
* debian/control.in:
  - don't Build-Depends on xulrunner-dev
  - let libtotem0 Replaces totem (<< 3.0.1-1), it's not required for Debian
    but is not an issue either and will lower the delta with Ubuntu
  - update Standards-Version to 3.9.2
* debian/totem-common.install:
  - install the thumbnailers directory there
    Closes: #629536.
* debian/totem.preinst: clean it now that squeeze is out

[ Josselin Mouette ]
* Add libtotem-dev. Closes: #561934.

[ Michael Biebl ]
* debian/watch: Switch to .bz2 tarball.
* Bump debhelper compatibility level to 8.
  - Update Build-Depends on debhelper.
  - Strip leading debian/tmp/ from .install files.
* debian/totem-plugins.install
  - Install tracker and gromit plugin.
* debian/control.in
  - Remove obsolete Build-Depends on dpkg-dev (>= 1.13.19).
* debian/libtotem-dev.install
  - Install libtotem.so symlink.

19. By Raphaël Hertzog on 2011-04-10

* Team upload to experimental.

[ Josselin Mouette ]
* Only suggest totem-mozilla. Closes: #599638.
* totem-coherence depends on totem-plugins. Closes: #607436.

[ Emilio Pozuelo Monfort ]
* New upstream development release.
  - debian/patches/80_webm.patch,
    debian/patches/81_mpegts.patch,
    debian/patches/82_youtube_api.patch:
    + Removed, applied upstream.
  - debian/patches/90_autotools.patch:
    + Removed, no longer needed.
  - debian/patches/70_bbc_plugin.patch:
    + Disabled, needs porting.
  - debian/control.in:
    + Updated build dependencies and dependencies.
    + Removed transitional totem-xine and totem-gstreamer packages.
    + Don't build totem-coherence for now, it hasn't been ported
      to PyGI and so it's that plugin or all the others.
  - debian/totem-common.install:
    + Don't install the gconf schemas, they're gone. Install the
      gsettings files instead.
  - debian/totem.install:
    + Ship libtotem here.
  - debian/control.in,
    debian/rules,
    debian/gir1.2-totem-1.0.install:
    + Add a gir package and update the plugins package dependencies
      for the new gir dependencies.
* debian/rules,
  debian/control.in,
  debian/source/format:
  - Switch to source format 3.0 (quilt).
* debian/control.in:
  - Remove obsolete build dependency on libhal-dev. Closes: #615214.

[ Sjoerd Simons ]
* New upstream release (2.91.7)
* debian/totem-plugins.install:
  * Don't install the grommit plugin
  * Install the chapters plugin

[ Frederic Peters ]
* New upstream release (2.91.91)
* debian/control.in: bump build-dep on libpeas.
* debian/control.in, debian/totem-plugins.install:
  * The galago plugin has been renamed to im-status, and no longer uses
    libgalago.

[ Michael Biebl ]
* debian/control.in:
  - Add Build-Depends on libtracker-sparql-0.10-dev for media search support
    using Tracker.

[ Raphaël Hertzog ]
* New upstream release (3.0.0).
* Added Build-Depends on gstreamer0.10-gconf.
* Bumped minimal version of build-dependency on totem-plparser-dev to
  2.32.4-2 to match the ./configure requirements and to ensure libquvi-dev
  is there as required by the totem-plparser.pc.
* Add some copyright notices to debian/copyright to please lintian.
* Call dh_pysupport on totem to generate the python dependency for
  totem-bugreport.py
* Tell dh_makeshlibs to skip /usr/lib/nautilus. This avoids generating
  an shlib entry for the plugin it contains.
* Tweaked the totem description to fix lintian warning description-
  synopsis-starts-with-article.
* Updated dependencies of totem-coherence to match the new code using
  introspection but keep the package disabled as python-coherence is
  still PyGTK based and thus incompatible.
* Add lintian overrides for menu-icon-missing (icon is in totem-
  common).
* Add gnome-icon-theme-symbolic to totem's dependencies.
* Bump build-dep on libgdata >= 0.8.0.

18. By Sebastian Dröge on 2010-03-31

* New upstream stable release:
  + debian/patches/90_autotools.patch:
    - Refreshed for the new version.

17. By Sebastian Dröge on 2010-03-16

* New upstream development release:
  + debian/patches/90_autotools.patch:
    - Refreshed for the new version.
  + debian/patches/99_gst-bus_flush.patch:
    - Dropped, merged upstream.
* Merge changes from 2.28.5-2.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:totem
This branch contains Public information 
Everyone can see this information.

Subscribers